Bug 241724 - x11-wm/compton-yshui: fix build on GCC architectures
Summary: x11-wm/compton-yshui: fix build on GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-05 06:11 UTC by Piotr Kubaj
Modified: 2019-11-11 22:10 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (jbeich)


Attachments
patch (824 bytes, patch)
2019-11-05 06:11 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (jbeich)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-11-05 06:11:42 UTC
Created attachment 208869 [details]
patch

Include sys/types.h before sysctl.h in test.h to fix build with GCC:
In file included from ../subprojects/test.h/test.h:14,
                 from ../src/string_utils.c:6:
/usr/include/sys/sysctl.h:1101:25: error: unknown type name 'u_int'; did you mean 'int'?
 1101 | int sysctl(const int *, u_int, void *, size_t *, const void *, size_t);
      |                         ^~~~~
      |                         int
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-11-06 20:53:50 UTC
Approved as maintainer (builds on ppcports) pending maintainer approval.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2019-11-06 20:56:02 UTC
(In reply to Mark Linimon from comment #1)

s/maintainer/mentor/

I blame the drive on Interstate 10.
Comment 3 commit-hook freebsd_committer 2019-11-11 22:09:23 UTC
A commit references this bug:

Author: jbeich
Date: Mon Nov 11 22:08:53 UTC 2019
New revision: 517287
URL: https://svnweb.freebsd.org/changeset/ports/517287

Log:
  x11-wm/compton-yshui: unbreak build with GCC

  In file included from ../subprojects/test.h/test.h:14,
                   from ../src/string_utils.c:6:
  /usr/include/sys/sysctl.h:1101:25: error: unknown type name 'u_int'; did you mean 'int'?
   1101 | int sysctl(const int *, u_int, void *, size_t *, const void *, size_t);
        |                         ^~~~~
        |                         int

  PR:		241724
  Submitted by:	pkubaj
  Obtained from:	upstream

Changes:
  head/x11-wm/compton-yshui/Makefile
  head/x11-wm/compton-yshui/distinfo